japa.parser.ast.body

## Class ModifierSet

- java.lang.Object
- - japa.parser.ast.body.ModifierSet

    public final class ModifierSet
    extends Object

Class to hold modifiers.
The modifier constants declared here holds equivalent values to `Modifier` constants.

### Field Summary

Fields
`static int` `ABSTRACT`
`static int` `FINAL`
`static int` `NATIVE`
`static int` `PRIVATE`
`static int` `PROTECTED`
`static int` `PUBLIC`
`static int` `STATIC`
`static int` `STRICTFP`
`static int` `SYNCHRONIZED`
`static int` `TRANSIENT`
`static int` `VOLATILE`

### Method Summary

Methods
`static int` `addModifier(int modifiers, int mod)` Adds the given modifier.
`static boolean` `hasModifier(int modifiers, int modifier)`
`static boolean` `isAbstract(int modifiers)`
`static boolean` `isFinal(int modifiers)`
`static boolean` `isNative(int modifiers)`
`static boolean` `isPrivate(int modifiers)`
`static boolean` `isProtected(int modifiers)`
`static boolean` `isPublic(int modifiers)` A set of accessors that indicate whether the specified modifier is in the set.
`static boolean` `isStatic(int modifiers)`
`static boolean` `isStrictfp(int modifiers)`
`static boolean` `isSynchronized(int modifiers)`
`static boolean` `isTransient(int modifiers)`
`static boolean` `isVolatile(int modifiers)`
`static int` `removeModifier(int modifiers, int mod)` Removes the given modifier.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PUBLIC

    public static final int PUBLIC

See Also:
  Constant Field Values

#### PRIVATE

    public static final int PRIVATE

See Also:
  Constant Field Values

#### PROTECTED

    public static final int PROTECTED

See Also:
  Constant Field Values

#### STATIC

    public static final int STATIC

See Also:
  Constant Field Values

#### FINAL

    public static final int FINAL

See Also:
  Constant Field Values

#### SYNCHRONIZED

    public static final int SYNCHRONIZED

See Also:
  Constant Field Values

#### VOLATILE

    public static final int VOLATILE

See Also:
  Constant Field Values

#### TRANSIENT

    public static final int TRANSIENT

See Also:
  Constant Field Values

#### NATIVE

    public static final int NATIVE

See Also:
  Constant Field Values

#### ABSTRACT

    public static final int ABSTRACT

See Also:
  Constant Field Values

#### STRICTFP

    public static final int STRICTFP

See Also:
  Constant Field Values

### Method Detail

#### addModifier

    public static int addModifier(int modifiers,
                  int mod)

Adds the given modifier.

#### hasModifier

    public static boolean hasModifier(int modifiers,
                      int modifier)

#### isAbstract

    public static boolean isAbstract(int modifiers)

#### isFinal

    public static boolean isFinal(int modifiers)

#### isNative

    public static boolean isNative(int modifiers)

#### isPrivate

    public static boolean isPrivate(int modifiers)

#### isProtected

    public static boolean isProtected(int modifiers)

#### isPublic

    public static boolean isPublic(int modifiers)

A set of accessors that indicate whether the specified modifier is in the set.

#### isStatic

    public static boolean isStatic(int modifiers)

#### isStrictfp

    public static boolean isStrictfp(int modifiers)

#### isSynchronized

    public static boolean isSynchronized(int modifiers)

#### isTransient

    public static boolean isTransient(int modifiers)

#### isVolatile

    public static boolean isVolatile(int modifiers)

#### removeModifier

    public static int removeModifier(int modifiers,
                     int mod)

Removes the given modifier.